Catmandu::Exporter::BibTeX(3pm)

NAME
Catmandu::Exporter::BibTeX - a BibTeX exporter

SYNOPSIS
    use Catmandu::Exporter::BibTeX;

    my $exporter = Catmandu::Exporter::BibTeX->new(fix => 'myfix.txt');

    $exporter->add_many($arrayref);
    $exporter->add_many($iterator);
    $exporter->add_many(sub { });

    $exporter->add($hashref);

    $exporter->add({
     type    => 'book',
     _citekey => '389-ajk0-1',
     title    => 'the Zen of {CSS} design',
     author   => ['Dave Shea','Molley E. Holzschlag'],
     isbn     => '0-321-30347-4'
    });

    printf "exported %d objects\n" , $exporter->count;

DESCRIPTION
The BibTeX Catmandu::Exporter requires as input a Perl hash (or a fix) containing BibTeX fields and values as a string or array reference.

SUPPORTED FIELDS
Two special fields can be set in the Perl hash:

"type" or "_type"
    to describe the document type (article, book, ...). Set to 'misc' by default.

"_citekey" or "_id"
    to describt the citation key. The next counter value (starting from 1) is used by default.

The following BibTeX fields are supported. All other fields are ignored.

    abstract
    address
    author
    booktitle
    chapter
    day
    edition
    editor
    eprint
    howpublished
    institution
    isbn
    issn
    journal
    keywords
    language
    location
    month
    note
    number
    organization
    pages
    publisher
    school
    series
    title
    type
    url
    doi
    volume
    year

SEE ALSO
Use Catmandu::Fix::expand_date to expand a date field with year, month, and day into the corresponding BibTeX fields.